/**
 * @file  exConSampleTest.c
 * @brief Console Sample Test
 */

#include "act.h"

extern ITest* PersonTest_tests(void);

extern ITest* CounterTest_tests(void);

int main (int argc, const char* argv[])
{
    ITestRunner* pTestRunner;

    pTestRunner = ITestRunner_New();
    ITestRunner_start(pTestRunner);

		ITestRunner_addTest(pTestRunner,PersonTest_tests());
		ITestRunner_addTest(pTestRunner,CounterTest_tests());

        ITestRunner_runTest(pTestRunner);

	ITestRunner_end(pTestRunner);
    ITestRunner_Delete(pTestRunner);
    return 0;
}

